module Sis
  module Core
    class AcademicProgramme < ApplicationRecord
      belongs_to :programme
      belongs_to :programme_type
      belongs_to :programme_level
      has_many :academic_programme_documents

      validates :programme_id, uniqueness: { scope: %i[programme_level_id programme_type_id],
                                             message: 'Program has already been created !' }

      delegate(:name, to: :programme, prefix: true, allow_nil: false)
      delegate(:name, to: :programme_type, prefix: true, allow_nil: false)
      delegate(:name, to: :programme_level, prefix: true, allow_nil: false)

      def name
        "#{programme.name} #{programme_level.name} #{programme_type.name}"
      end
    end
  end
end
