module Sis
  module Core
    class CurriculumCourse < ApplicationRecord
      belongs_to :curriculum
      belongs_to :course
      validates :course_type, presence: true
      has_many :predecessor_prerequisites, foreign_key: :successor_id, class_name: 'Prerequisite'
      has_many :predecessors, through: :predecessor_prerequisites, source: :predecessor
      has_many :successor_prerequisites, foreign_key: :predecessor_id, class_name: 'Prerequisite'
      has_many :successors, through: :successor_prerequisites, source: :successor

      delegate(:title, to: :course, prefix: true)
      delegate(:code, to: :course, prefix: true)
      delegate(:ects, to: :course, prefix: true)
      delegate(:credit_hours, to: :course, prefix: true)
      delegate(:name, to: :curriculum, prefix: true)
    end
  end
end
