module Sis
  module Core
    class DocumentRequirement < ApplicationRecord
      belongs_to :document_type
      belongs_to :application_setup

      validates :application_setup_id, uniqueness: { scope: :document_type_id,
                                                     message: 'Document has been already captured !' }

      delegate(:name, to: :document_type, prefix: true, allow_nil: false)
      delegate(:name, to: :application_setup, prefix: true, allow_nil: false)
      delegate(:programme_id, to: :application_setup, prefix: false, allow_nil: false)
      delegate(:programme_name, to: :application_setup, prefix: false, allow_nil: false)
      delegate(:programme_level_id, to: :application_setup, prefix: false, allow_nil: false)
      delegate(:programme_level_name, to: :application_setup, prefix: false, allow_nil: false)
      delegate(:programme_type_id, to: :application_setup, prefix: false, allow_nil: false)
      delegate(:programme_type_name, to: :application_setup, prefix: false, allow_nil: false)
    end
  end
end
