module Sis
  module Core
    class ExamSetup < ApplicationRecord
      belongs_to :application_setup
      has_many :exams

      validates :date, :hours, :venue, presence: true

      def name
        application_setup.academic_programme.name
      end

      delegate(:name, to: :application_setup, prefix: true, allow_nil: false)
      delegate(:programme_id, to: :application_setup, prefix: false, allow_nil: false)
      delegate(:programme_type_id, to: :application_setup, prefix: false, allow_nil: false)
      delegate(:programme_level_id, to: :application_setup, prefix: false, allow_nil: false)
    end
  end
end
