module Sis
  module Core
    class IdentificationPattern < ApplicationRecord
      belongs_to :programme_level
      belongs_to :programme_type
      belongs_to :programme

      validates :id_pattern, presence: true
      validates :id_pattern, uniqueness: true

      validates :programme_id, uniqueness: { scope: %i[programme_level_id programme_type_id],
                                             message: 'This combination is already taken !' }

      delegate(:name, to: :programme, prefix: true)
      delegate(:name, to: :programme_level, prefix: true)
      delegate(:name, to: :programme_type, prefix: true)
    end
  end
end
