module Sis
  module Core
    class StudentEligibility < ApplicationRecord
      belongs_to :student
      belongs_to :academic_year
      belongs_to :semester
      belongs_to :eligibility_criteria
      belongs_to :cleared_by, class_name: 'Sis::Core::User'

      delegate(:first_name, to: :student, prefix: true)
      delegate(:middle_name, to: :student, prefix: true)
      delegate(:last_name, to: :student, prefix: true)
      delegate(:description, to: :eligibility_criteria, prefix: true)
    end
  end
end
