module Sis
  module Core
    class User < ApplicationRecord
      validates :first_name, :last_name, :email, presence: true
      validates :password, presence: true, on: :create
      validates :email, uniqueness: true
      has_and_belongs_to_many :application_modules
      has_and_belongs_to_many :user_roles

      has_secure_password
    end
  end
end
