module Sis
  module Core
    class UserService
      def generate_password_token(user)
        user.update({ reset_password_token: generate_token, reset_password_sent_at: Time.now.utc })
      end

      def password_token_valid?(user_id)
        user = User.find(user_id)
        (user.reset_password_sent_at + 4.hours) > Time.now.utc
      end

      def reset_password(user_id, password)
        user = User.find(user_id)
        user.reset_password_token = nil
        user.password = password
        user.save!
      end

      def generate_token
        SecureRandom.hex(10)
      end
    end
  end
end
