class CreateSisCoreApplicationSetups < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_application_setups do |t|
      t.date :start_date, null: false
      t.date :end_date, null: false
      t.string :status, null: false, default: 'Open'
      t.references :academic_programme,
                   null: false,
                   index: { name: 'as_on_ap_indx' },
                   foreign_key: { to_table: :sis_core_academic_programmes }
      t.references :target_semester,
                   null: false,
                   index: { name: 'as_on_ts_indx' },
                   foreign_key: { to_table: :sis_core_semesters }
      t.references :academic_year,
                   null: false,
                   index: { name: 'ay_on_ts_indx' },
                   foreign_key: { to_table: :sis_core_academic_years }

      t.timestamps
    end
  end
end
