class CreateSisCoreDocumentRequirements < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_document_requirements do |t|
      t.integer :original, null: false, default: 1
      t.integer :copy, null: false, default: 1
      t.string :remark
      t.references :document_type,
                   null: false,
                   index: { name: 'adr_on_dc_indx' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.references :application_setup,
                   null: false,
                   index: { name: 'adr_on_as_indx' },
                   foreign_key: { to_table: :sis_core_application_setups }

      t.timestamps
    end
  end
end
