class CreateSisCoreApplications < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_applications do |t|
      t.string :status, null: false, default: 'Draft'
      t.boolean :payment_made, null: false, default: false
      t.string :payment_information
      t.date :application_date
      t.references :applicant,
                   null: false,
                   index: { name: 'applications_on_applicant_indx' },
                   foreign_key: { to_table: :sis_core_applicants }
      t.references :application_setup,
                   null: false,
                   index: { name: 'application_setup_on_ap_indx' },
                   foreign_key: { to_table: :sis_core_application_setups }

      t.timestamps
    end
  end
end
