class CreateSisCoreCourses < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_courses do |t|
      t.string :code, null: false, unique: true
      t.string :title, null: false
      t.string :description, null: false
      t.float :credit_hours, null: false
      t.float :ects, null: false
      t.float :lecture_hours, null: false
      t.float :lab_hours, null: false
      t.references :academic_programme,
                   index: { name: 'program_on_courses_indx' },
                   null: false,
                   foreign_key: { to_table: :sis_core_academic_programmes }

      t.timestamps
    end
  end
end
