class CreateSisCoreCurriculums < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_curriculums do |t|
      t.references :programme,
                   null: false,
                   index: { name: 'pr_on_curriculum_indx' },
                   foreign_key: { to_table: :sis_core_programmes }
      t.references :programme_level,
                   null: false,
                   index: { name: 'pr_level_on_curriculum_indx' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.float :compulsory_course_credit_hours, null: false
      t.float :elective_course_credit_hours, null: false
      t.float :thesis_hour, null: false
      t.float :project_hour, null: false

      t.timestamps
    end
  end
end
