class CreateSisCoreCourseOfferingSequences < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_course_offering_sequences do |t|
      t.references :curriculum_course,
                   null: false,
                   index: { name: 'cc_on_course_off_seq' },
                   foreign_key: { to_table: :sis_core_curriculum_courses }
      t.references :programme_type,
                   null: false,
                   index: { name: 'pt_on_course_off_seq' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.references :level,
                   null: false,
                   index: { name: 'level_on_course_off_seq' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.references :semester,
                   null: false,
                   index: { name: 'sem_on_course_off_seq' },
                   foreign_key: { to_table: :sis_core_semesters }

      t.timestamps
    end
  end
end
