class CreateSisCoreCourseOfferings < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_course_offerings do |t|
      t.references :course_offering_sequence,
                   null: false,
                   index: { name: 'crs_off_seq_on_crs_off' },
                   foreign_key: { to_table: :sis_core_course_offering_sequences }
      t.references :academic_year,
                   null: false,
                   index: { name: 'ay_on_crs_off' },
                   foreign_key: { to_table: :sis_core_academic_years }
      t.references :semester,
                   null: false,
                   index: { name: 'sem_on_crs_off' },
                   foreign_key: { to_table: :sis_core_semesters }
      t.references :level,
                   null: false,
                   index: { name: 'level_on_crs_off' },
                   foreign_key: { to_table: :sis_core_lookups }

      t.timestamps
    end
  end
end
