class CreateSisCoreClassrooms < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_classrooms do |t|
      t.references :building,
                   null: false,
                   index: { name: 'bldg_on_cls_rm' },
                   foreign_key: { to_table: :sis_core_buildings }
      t.references :programme_level,
                   null: false,
                   index: { name: 'pl_on_cls_rm' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.float :square_meter
      t.string :room_number, null: false
      t.string :floor, null: false
      t.integer :class_size
      t.string :class_type, null: false

      t.timestamps
    end
  end
end
