class CreateSisCoreCourseAssignments < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_course_assignments do |t|
      t.references :course_offering,
                   null: false,
                   index: { name: 'crs_off_on_crs_ass' },
                   foreign_key: { to_table: :sis_core_course_offerings }
      t.references :section,
                   null: false,
                   index: { name: 'sec_on_crs_ass' },
                   foreign_key: { to_table: :sis_core_sections }
      t.references :instructor,
                   null: false,
                   index: { name: 'ins_on_crs_ass' },
                   foreign_key: { to_table: :sis_core_instructors }
      t.integer :lab_instructor_id, null: true
      t.integer :tutorial_instructor_id, null: true

      t.timestamps
    end
  end
end
