class CreateSisCoreClassSchedules < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_class_schedules do |t|
      t.references :classroom,
                   null: true,
                   index: { name: 'cls_on_cls_sched' },
                   foreign_key: { to_table: :sis_core_classrooms }
      t.references :class_time_table,
                   null: true,
                   index: { name: 'cls_time_tbl_on_cls_sched' },
                   foreign_key: { to_table: :sis_core_class_time_tables }
      t.references :course_assignment,
                   null: false,
                   index: { name: 'crs_ass_on_cls_sched' },
                   foreign_key: { to_table: :sis_core_course_assignments }
      t.string :day
      t.string :schedule_type

      t.timestamps
    end
  end
end
