class CreateSisCoreAcademicCalendars < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_academic_calendars do |t|
      t.references :academic_year,
                   null: false,
                   index: { name: 'ay_on_aca_caldr_indx' },
                   foreign_key: { to_table: :sis_core_academic_years }
      t.references :semester,
                   null: false,
                   index: { name: 'sem_on_aca_caldr_indx' },
                   foreign_key: { to_table: :sis_core_semesters }
      t.date :start_date, null: false
      t.date :end_date, null: false
      t.string :event, null: false

      t.timestamps
    end
  end
end
