class CreateSisCoreAcademicTimeLines < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_academic_time_lines do |t|
      t.date :registration_start_date, null: false
      t.date :registration_end_date, null: false
      t.date :penalty_registration_start_date, null: false
      t.date :penalty_registration_end_date, null: false
      t.date :add_and_drop_start_date, null: false
      t.date :add_and_drop_end_date, null: false
      t.date :penalty_add_and_drop_start_date, null: false
      t.date :penalty_add_and_drop_end_date, null: false
      t.date :mid_exam_start_date, null: false
      t.date :mid_exam_end_date, null: false
      t.date :final_exam_start_date, null: false
      t.date :final_exam_end_date, null: false
      t.date :grade_reporting_date, null: false
      t.references :academic_year,
                   null: false,
                   index: { name: 'ay_on_aca_time_line_indx' },
                   foreign_key: { to_table: :sis_core_academic_years }
      t.references :semester,
                   null: false,
                   index: { name: 'sem_on_aca_time_line_indx' },
                   foreign_key: { to_table: :sis_core_semesters }
      t.references :programme_type,
                   null: false,
                   index: { name: 'pt_on_aca_time_line_indx' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.references :programme_level,
                   null: false,
                   index: { name: 'pl_on_aca_time_line_indx' },
                   foreign_key: { to_table: :sis_core_lookups }

      t.timestamps
    end
  end
end
