class CreateSisCoreStudentEligibilities < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_student_eligibilities do |t|
      t.references :student,
                   null: false,
                   index: { name: 'stud_on_stud_eligibility' },
                   foreign_key: { to_table: :sis_core_students }
      t.references :academic_year,
                   null: false,
                   index: { name: 'ay_on_stud_eligibility' },
                   foreign_key: { to_table: :sis_core_academic_years }
      t.references :semester,
                   null: false,
                   index: { name: 'sem_on_stud_eligibility' },
                   foreign_key: { to_table: :sis_core_semesters }
      t.references :eligibility_criteria,
                   null: false,
                   index: { name: 'elig_cri_on_stud_eligibility' },
                   foreign_key: { to_table: :sis_core_eligibility_criteria }
      t.references :cleared_by,
                   null: false,
                   index: { name: 'clr_by_stud_eligibility' },
                   foreign_key: { to_table: :sis_core_users }
      t.boolean :is_eligible, default: false

      t.timestamps
    end
  end
end
