class AddCourseOfferingToCourseRegistration < ActiveRecord::Migration[6.0]
  def change
    remove_reference :sis_core_course_registrations, :course, index: true
    remove_reference :sis_core_course_registrations, :semester, index: true
    add_column :sis_core_course_registrations, :registered, :boolean, default: false
    add_column :sis_core_course_registrations, :date_registered, :date
    add_column :sis_core_course_registrations, :grade, :string
    add_reference :sis_core_course_registrations, :section,
                  index: { name: 'sec_on_co_reg' }, foreign_key: { to_table: :sis_core_sections }
    add_reference :sis_core_course_registrations, :course_offering,
                  index: { name: 'co_off_on_co_reg' }, foreign_key: { to_table: :sis_core_course_offerings }
  end
end
