class CreateSisCoreIdentificationPatterns < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_identification_patterns do |t|
      t.references :programme_level,
                   null: false,
                   index: { name: 'pl_on_ident_pttr' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.references :programme_type,
                   null: false,
                   index: { name: 'pt_on_ident_pttr' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.references :programme,
                   null: false,
                   index: { name: 'pr_on_ident_pttr' },
                   foreign_key: { to_table: :sis_core_programmes }
      t.string :id_pattern, null: false

      t.timestamps
    end
    add_index :sis_core_identification_patterns, %i[programme_id programme_level_id programme_type_id],
              unique: true, name: 'unq_cons_on_ident_pattern'
  end
end
